<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified: javier.barajas creacion de metodos y tablas segun eventos para interactuar con la BD
@modified: javier.barajas 12/12/12 Cabezote de actualizacion, iconos de los botones
CU-NP-FA-220 Gestionar Asignaciones a Coordinadores

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Gestionar Asignaciones a Coordinadores::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsGestionarAsignaciones" showDetail="false"
                    globalOnly="false" />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{generarFormularioSbc.actualizacionSeleccionada}"/>

        <h:form id="gestionarAsignacionesForm">
            <p:panel header="Gestionar Asignaciones a Coordinadores">

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="2">
                    <h:outputLabel value="Coordinador de grupo"
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="coordinadorSeleccionado" 
                                     value="#{gestionarAsignacionesACoordinadores.selecionCoordinador}">
                        <f:selectItem itemLabel="Coordinador..." itemValue="" />
                        <f:selectItems value="#{gestionarAsignacionesACoordinadores.selectCoordinadores}" />
                        <p:ajax update=":gestionarAsignacionesForm" 
                                listener="#{gestionarAsignacionesACoordinadores.habilitarCoordinador}"/>
                    </h:selectOneMenu>

                </h:panelGrid>

                <p:spacer height="20" width="20" />

                <h:panelGrid columns="6" id="busquedaManCoor">

                    <p:inputText id="manzanaIncial" value="#{gestionarAsignacionesACoordinadores.manzanaInicial}"/>  
                    <p:inputText id="manzanaFinal" value="#{gestionarAsignacionesACoordinadores.manzanaFinal}" />
                    <p:commandButton title="Buscar Manzanas" 
                                     id="buscarManzanas" 
                                     icon="ui-icon-search"  
                                     action="#{gestionarAsignacionesACoordinadores.buscarManzanas}"
                                     update=":msgsGestionarAsignaciones,:gestionarAsignacionesForm" 
                                     process="@form"
                                     ajax="true"/>

                    <h:selectOneMenu id="coordinadorSeleccionadoBusqueda" 
                                     value="#{gestionarAsignacionesACoordinadores.selecionCoordinadorBusqueda}">
                        <f:selectItem itemLabel="Coordinador..." itemValue="" />
                        <f:selectItems value="#{gestionarAsignacionesACoordinadores.selectCoordinadores}" />
                        <p:ajax update=":gestionarAsignacionesForm" 
                                listener="#{gestionarAsignacionesACoordinadores.buscarCoordinador}"/>
                    </h:selectOneMenu> 
                </h:panelGrid>

                <p:spacer height="20" width="20" /> 

                <h:outputLabel value="Manzanas para asignación"
                               styleClass="outputLabelStyle" />



                <p:spacer height="10" width="0" />

                <h:panelGrid width="40%">

                    <p:dataTable id="actReconocimientoTableBusqueda" var="actReconocimientoVar" 
                                 value="#{gestionarAsignacionesACoordinadores.listaActualizacionReconocimiento}" 
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                                 {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" rowKey="#{actReconocimientoVar}" 
                                 selection="#{gestionarAsignacionesACoordinadores.selectActualizacionReconocimiento}"
                                 rendered="#{!gestionarAsignacionesACoordinadores.renderedBusqueda}"> 
                        <p:ajax event="rowSelect"
                                update=":gestionarAsignacionesForm:btnAsignar"
                                listener="#{gestionarAsignacionesACoordinadores.rowSelected}"/>
                        <p:column selectionMode="multiple" />

                        <p:column headerText="Manzanas" >
                            <p:commandLink
                                oncomplete="cargarMapaZoomToFeature(
                                '#{gestionarAsignacionesACoordinadores.applicationClientName}', 
                                '#{gestionarAsignacionesACoordinadores.tokenParam}', 
                                '#{gestionarAsignacionesACoordinadores.moduleLayer}', 
                                '#{gestionarAsignacionesACoordinadores.moduleTools}', 
                                '#{actReconocimientoVar.manzanaCodigo}');">

                                <h:outputText id="identificador" style="width:150px"
                                              styleClass="commandLinkStyle"
                                              value="#{actReconocimientoVar.manzanaCodigo}" />
                            </p:commandLink>
                        </p:column>  

                        <p:column headerText="Coordinador" >
                            <h:outputText id="coordinador" 
                                          value="#{actReconocimientoVar.recursoHumano.nombre}" />
                        </p:column>

                    </p:dataTable>
                    <p:dataTable id="actReconocimientoTable" var="actReconocimientoVar" 
                                 value="#{gestionarAsignacionesACoordinadores.listaARFind}" 
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                                 {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" rowKey="#{actReconocimientoVar}" 
                                 selection="#{gestionarAsignacionesACoordinadores.selectActualizacionReconocimiento}"
                                 rendered="#{gestionarAsignacionesACoordinadores.renderedBusqueda}"> 
                        <p:ajax event="rowSelect"
                                update=":gestionarAsignacionesForm:btnAsignar"
                                listener="#{gestionarAsignacionesACoordinadores.rowSelected}"
                                process="@this"/>
                        <p:column selectionMode="multiple" />

                        <p:column headerText="Manzanas" >
                            <p:commandLink
                                oncomplete="cargarMapaZoomToFeature(
                                '#{gestionarAsignacionesACoordinadores.applicationClientName}', 
                                '#{gestionarAsignacionesACoordinadores.tokenParam}', 
                                '#{gestionarAsignacionesACoordinadores.moduleLayer}', 
                                '#{gestionarAsignacionesACoordinadores.moduleTools}', 
                                '#{actReconocimientoVar.manzanaCodigo}');">

                                <h:outputText id="identificador" style="width:150px"
                                              styleClass="commandLinkStyle"
                                              value="#{actReconocimientoVar.manzanaCodigo}" />

                            </p:commandLink>
                        </p:column>
                        <p:column headerText="Coordinador" >
                            <h:outputText id="coordinador" 
                                          value="#{actReconocimientoVar.recursoHumano.nombre}" />
                        </p:column>
                    </p:dataTable>
                </h:panelGrid>

                <p:spacer height="20" width="20" />

                <h:panelGrid columns="4">
                    <p:spacer height="7" width="0" />
                    <p:commandButton value=" Mostrar selección" id="verMapa"
                                     widgetVar="verMapaVar" immediate="true" type="button"
                                     icon="ui-icon-image"
                                     onclick="cargarMapaZoomToFeature(
                                                     '#{gestionarAsignacionesACoordinadores.applicationClientName}',
                                                     '#{gestionarAsignacionesACoordinadores.tokenParam}',
                                                     '#{gestionarAsignacionesACoordinadores.moduleLayer}',
                                                     '#{gestionarAsignacionesACoordinadores.moduleTools}',
                                                     '#{gestionarAsignacionesACoordinadores.manzanaCodigo}');"/>
                    <p:spacer height="7" width="0" />			
                    <p:commandButton id="btnAsignar"
                                     value="Asignar" 
                                     icon="ui-icon-check"
                                     update=":msgsGestionarAsignaciones,:gestionarAsignacionesForm"
                                     action="#{gestionarAsignacionesACoordinadores.asignarActualizacionReconocimiento}"
                                     process="@this"/>

                </h:panelGrid>

                <p:spacer height="15" width="15" />

                <h:panelGrid columns="4">
                    <p:selectOneRadio id="TIPO" value="#{gestionarAsignacionesACoordinadores.cadenaTipoDMCoFicha}">  
                        <f:selectItem itemLabel="Reconocimiento con DMC:" itemValue="DMC" />  
                        <f:selectItem itemLabel="Reconocimiento con Ficha:" itemValue="FICHAS" /> 
                        <p:ajax listener="#{gestionarAsignacionesACoordinadores.verCadenaTiopoDMCoFichas}" process="@this"/>
                    </p:selectOneRadio> 
                </h:panelGrid>

                <p:spacer height="20" width="20" />

                <p:commandButton value="Confirmar asignación" icon="ui-icon-circle-check"
                                 title="Finalizar asignación de manzanas a coordinadores"
                                 oncomplete="mensajeConfirmacionWV.show()" 
                                 process="@this">
                </p:commandButton>
                <p:spacer height="15" width="15" />

            </p:panel>

            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update="msgInfoFis"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{gestionarAsignacionesACoordinadores.cerrar}" ajax="false"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

            <div id="mapDiv">
                <iframe id="mapIframe" name="mapIframe" src="" width="800"
                        height="500" align="left" scrolling="no" frameborder="0">
                    Su navegador no soporta esta funcionalidad.</iframe>
            </div>
        </h:form>

        <misc:confirmationDialog
            confirmMessage="¿Desea continuar asignando manzanas a los coordinadores de grupo?
            Si elige NO, la selección que ha hecho hasta el momento servirá como base para ejecutar las siguientes
            actividades dentro del proceso."
            confirmAction="#{gestionarAsignacionesACoordinadores.guardarActualizacionReconocimiento}"
            confirmUpdate=":msgsGestionarAsignaciones"			
            confirmDialogWV="mensajeConfirmacionWV" />


        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>

</ui:composition>